%global api 1.0
%global __provides_exclude_from ^%{_libdir}/dleyna-%{api}/connectors/.*\\.so$

Name:           dleyna-connector-dbus
Version:        0.2.0
Release:        8%{?dist}
Summary:        D-Bus connector for dLeyna services

License:        LGPLv2
URL:            https://01.org/dleyna/
Source0:        https://01.org/dleyna/sites/default/files/downloads/%{name}-%{version}.tar.gz
Patch0:         0001-Connector-Don-t-crash-when-trying-to-unwatch-non-exi.patch

BuildRequires:  dbus-devel
BuildRequires:  dleyna-core-devel
BuildRequires:  glib2-devel >= 2.28
BuildRequires:  pkgconfig autoconf automake libtool

%description
D-Bus connector for dLeyna services.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
%patch0 -p1


%build
autoreconf -f -i
%configure \
  --disable-silent-rules \
  --disable-static

make %{?_smp_mflags}


%install
make install INSTALL="%{__install} -p" DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -delete


%files
%doc AUTHORS
%doc COPYING
%doc ChangeLog
%doc README
%dir %{_libdir}/dleyna-%{api}
%dir %{_libdir}/dleyna-%{api}/connectors
%{_libdir}/dleyna-%{api}/connectors/libdleyna-connector-dbus.so

%files devel
%{_libdir}/pkgconfig/%{name}-%{api}.pc


%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon May 11 2015 Nils Philippsen <nils@redhat.com> - 0.2.0-5
- rebuild for new dleyna-core

* Tue Jan 20 2015 Debarshi Ray <rishi@fedoraproject.org> - 0.2.0-4
- Fix crash when spawned by a call to com.intel.dLeynaRenderer.Manager.Release
  (RH #1154788)

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Jan 15 2014 Bastien Nocera <bnocera@redhat.com> 0.2.0-1
- Update to 0.2.0

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jul 09 2013 Debarshi Ray <rishi@fedoraproject.org> - 0.1.0-3
- Filter out the connector plugin from provides.

* Sun Jul 07 2013 Debarshi Ray <rishi@fedoraproject.org> - 0.1.0-2
- Use %%global instead of %%define.
- Own %%{_libdir}/dleyna-%%{api} and %%{_libdir}/dleyna-%%{api}/connectors.

* Wed Jun 26 2013 Debarshi Ray <rishi@fedoraproject.org> - 0.1.0-1
- Initial spec.
